Skip to main content
GET
/
v1
/
snapshots
Get Snapshots
curl --request GET \
  --url https://api.polyquantlab.com/v1/snapshots \
  --header 'Authorization: Bearer <token>'
{
  "market_id": "0x4a8f31...c2",
  "count": 2,
  "snapshots": [
    {
      "ts": "2026-06-06T03:55:30+00:00",
      "yes_bids": [
        {
          "price": 0.5,
          "size": 100
        },
        {
          "price": 0.49,
          "size": 200
        }
      ],
      "yes_asks": [
        {
          "price": 0.52,
          "size": 150
        },
        {
          "price": 0.53,
          "size": 250
        }
      ],
      "no_bids": [
        {
          "price": 0.47,
          "size": 180
        },
        {
          "price": 0.46,
          "size": 220
        }
      ],
      "no_asks": [
        {
          "price": 0.5,
          "size": 140
        },
        {
          "price": 0.51,
          "size": 200
        }
      ],
      "underlying_price": 109520.5,
      "underlying_ticker": "BTC"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

market_id
string
required
start
string<date-time>
required
end
string<date-time>
required
limit
integer
default:10000
Required range: x <= 100000

Response

Successful Response

market_id
string
required

Polymarket market identifier (hex 0x…).

count
integer<int64>
required
snapshots
object[]
required